صفحات البدء
GET https://link.pc.sa/api/splash-pages/
curl --request GET \
--url 'https://link.pc.sa/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://link.pc.sa/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| search | اختياري سلسلة | سلسلة البحث |
| search_by | اختياري سلسلة | ما هو الحقل الذي تبحث عنه. القيم المسموح بها هي: name. |
| datetime_field | اختياري سلسلة | القيم المسموح بها: datetime, last_datetime |
| datetime_start | اختياري سلسلة | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختياري سلسلة | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختياري سلسلة | بأي حقل يتم ترتيب النتائج. القيم المسموح بها هي: splash_page_id, datetime, last_datetime, name. |
| order_type | اختياري سلسلة | ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي. |
| page | اختياري عدد صحيح | رقم الصفحة التي تريد النتائج منها. الافتراضي هو 1. |
| results_per_page | اختياري عدد صحيح | كم عدد النتائج التي تريدها لكل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. الافتراضي هو 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-06-05 21:45:38",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://link.pc.sa/api/projects?page=1",
"last": "https://link.pc.sa/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://link.pc.sa/api/projects?page=1"
}
}
GET https://link.pc.sa/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://link.pc.sa/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://link.pc.sa/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-06-05 21:45:38",
}
}
POST https://link.pc.sa/api/projects
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| name | مطلوب سلسلة | - |
| title | اختياري سلسلة | - |
| logo | اختياري ملف | - |
| favicon | اختياري ملف | - |
| opengraph | اختياري ملف | - |
| description | اختياري سلسلة | - |
| secondary_button_name | اختياري سلسلة | - |
| secondary_button_url | اختياري سلسلة | - |
| custom_css | اختياري سلسلة | - |
| custom_js | اختياري سلسلة | - |
| ads_header | اختياري سلسلة | - |
| ads_footer | اختياري سلسلة | - |
| link_unlock_seconds | اختياري عدد صحيح | - |
| auto_redirect | اختياري منطقي | - |
curl --request POST \
--url 'https://link.pc.sa/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://link.pc.sa/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://link.pc.sa/api/splash-pages/{splash_page_id}
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| name | اختياري سلسلة | - |
| title | اختياري سلسلة | - |
| logo | اختياري ملف | - |
| favicon | اختياري ملف | - |
| opengraph | اختياري ملف | - |
| description | اختياري سلسلة | - |
| secondary_button_name | اختياري سلسلة | - |
| secondary_button_url | اختياري سلسلة | - |
| custom_css | اختياري سلسلة | - |
| custom_js | اختياري سلسلة | - |
| ads_header | اختياري سلسلة | - |
| ads_footer | اختياري سلسلة | - |
| link_unlock_seconds | اختياري عدد صحيح | - |
| auto_redirect | اختياري منطقي | - |
curl --request POST \
--url 'https://link.pc.sa/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://link.pc.sa/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://link.pc.sa/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://link.pc.sa/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://link.pc.sa/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \